Subject: [bug#69794] [PATCH 0/2] Package some dependencies for Argos Translate

From: Fi <[email-masked]>
Date: Thu, 23 Jan 2025 13:08:02 +0200

Hello there
I wrote a rough package def for ctranslate2 with the aim of packaging argostranslate and libretranslate.
I will be very busy so i really dont know when I will be able to finish that work, however I will send the ctranslate2 and python binding package def as an attachment.
The python bindings wont compile in this build, the issue is with the preprocessor definitions in a file in the ctranslate build which do not get defined for the python build. They can be patched to always be defined but this causes warnings in the ctranslate build.
I did this patch in a local dir and the python bindings built fine

I also did not manage to enable ruy support because my knowledge of cmake and linking is lacking.
However the ctranslate2 package can either be based off non free software with the cuda, cudann, intel mkl and dnnl backend or it can be based off of free software with the openblas and dnnl backend.

Thanks